Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 208685 - CityGuide sample shows error in code with MESDK 3.0.5
CityGuide sample shows error in code with MESDK 3.0.5
Status: VERIFIED FIXED
Product: javame
Classification: Unclassified
Component: ME SDK Integration
7.1.1
PC Windows 7
: P2 (vote)
: 7.1.2
Assigned To: Tomas Zezula
issues@mobility
71patch2-verified
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-21 09:26 UTC by Stepan Zebra
Modified: 2012-05-24 21:12 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
source code error screenshot (134.25 KB, image/png)
2012-04-02 15:17 UTC, Stepan Zebra
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stepan Zebra 2012-02-21 09:26:05 UTC
Product Version: NetBeans IDE 7.1.1 RC1 (Build 201202141941)
Java: 1.7.0_03; Java HotSpot(TM) Client VM 22.1-b02
System: Windows 7 version 6.1 running on x86; Cp1252; en_US (nb)

CityGuide sample created in NB 7.1.1 RC1 has error in source code (unreported exception).
Comment 1 Marian Mirilovic 2012-02-28 09:13:43 UTC
Any evaluation ?
Comment 2 Anton Chechel 2012-02-28 10:52:04 UTC
Will be fixed in 7.1.2
Comment 3 Anton Chechel 2012-03-29 11:38:57 UTC
I just checked it on version:

Product Version: NetBeans IDE 7.1.1 (Build 201203012225)
Java: 1.7.0_01; Java HotSpot(TM) Client VM 21.1-b02
System: Windows 7 version 6.1 running on x86; Cp1251; en_US (nb)
User directory: C:\Users\Manowar\.netbeans\7.1.1
Cache directory: C:\Users\Manowar\.netbeans\7.1.1\var\cache

Everything works fine for me.
Comment 4 Marian Mirilovic 2012-04-02 14:52:14 UTC
Stepan, 
please verify it works in 7.1.2/1. Thanks in advance.
Comment 5 Stepan Zebra 2012-04-02 15:17:17 UTC
Created attachment 117670 [details]
source code error screenshot

I still see it on my machine in NB 7.1.1 (or 7.1.2 Dev or 7.2 Dev) with MESDK 3.0.5.
The error is in the NB bundled version of the sample, created via the New Project wizard.
When I look at the sample inside the MESDK, there is the required try-catch block, so there is no error in code shown.
Comment 6 Anton Chechel 2012-04-06 09:59:12 UTC
fixed in trunk:
http://hg.netbeans.org/jet-main/rev/a5638f7beb16
please verify so I can transplant to 7.1.2
Comment 7 Stepan Zebra 2012-04-06 10:28:45 UTC
(In reply to comment #6)
> fixed in trunk:
> http://hg.netbeans.org/jet-main/rev/a5638f7beb16
> please verify so I can transplant to 7.1.2

verified, please transplant
Comment 8 Quality Engineering 2012-04-08 09:54:15 UTC
Integrated into 'main-golden', will be available in build *201204080400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a5638f7beb16
User: Anton Chechel <manowar@netbeans.org>
Log: #208685: CityGuide sample error in MESDK 3.0.5
Comment 9 Anton Chechel 2012-04-10 11:40:58 UTC
fixed in releases
http://hg.netbeans.org/releases/rev/555f005cfc74
Comment 10 Quality Engineering 2012-04-10 14:28:08 UTC
Integrated into 'releases', will be available in build *201204101434* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/555f005cfc74
User: Anton Chechel <manowar@netbeans.org>
Log: #208685: CityGuide sample error in MESDK 3.0.5
Comment 11 Stepan Zebra 2012-04-16 11:55:52 UTC
verified in 7.1.2
Comment 12 Jesse Glick 2012-05-24 18:08:39 UTC
It does not seem that this was actually pushed...? mobility.midpexamples/manifest.mf still has 1.15.1 in release71_fixes, which corresponds to 7.1. Does QE not verify that all purported patches are actually published as updates to 7.1.1?

http://wiki.netbeans.org/NetBeans7.1PatchesInfo


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo